Subject: Re: [Bitcoin-development] Implementing batch processing for -blocknotify

From: Rune Kjær Svendsen <[email-masked]>
Date: Sat, 1 Jun 2013 15:12:32 +0200

Thanks for the input all! You make a lot of sense :). I will go with the
Unix socket method, I think. It's about time I learn about those.

/Rune

On Sat, Jun 1, 2013 at 1:47 AM, Chris Double <[email-masked]>wrote:

> On Sat, Jun 1, 2013 at 11:29 AM, Wladimir <[email-masked]> wrote:
> > Using zmq is a great fit for high-speed notifications such as this. Have
> you
> > seen the pull request to integrate zmq directly into bitcoind, so that
> you
> > don't even need -blocknotify?
> >
> > https://github.com/bitcoin/bitcoin/pull/2415
> >
> > If not: we could use some testing there!
>
> I hadn't seen this, thanks! I've integrated zmq myself for block
> notifications in bitcoin and the alt coins I use it on my bitparking
> merge mining pool. I would love to see something official. I'll try
> out the patch in the pull request.
>
> Chris.
> --
> http://www.bluishcoder.co.nz
>
>
> ------------------------------------------------------------------------------
> Get 100% visibility into Java/.NET code with AppDynamics Lite
> It's a free troubleshooting tool designed for production
> Get down to code-level detail for bottlenecks, with <2% overhead.
> Download for free and get started troubleshooting in minutes.
> http://p.sf.net/sfu/appdyn_d2d_ap2
> _______________________________________________
> Bitcoin-development mailing list
> [email-masked]
> https://lists.sourceforge.net/lists/listinfo/bitcoin-development
>